Part Transactions

Retrieve inventory part transaction records.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

GET Part Transactions

Retrieve part transaction records for reporting, transaction history, and inventory analysis.

GET /ODataApi/v1/GetPartTransactions

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/GetPartTransactions

Replace {sitename} with your MVP One site name.

Query parameters

ParameterTypeRequiredDescriptionExample
$filterStringYesFilter transactions. Use TransactionType to filter by transaction type.TransactionType eq 'check out'
$selectStringNoReturn only the fields you need.PartID,TransactionType,Quantity,TransactionDate
$topIntegerNoLimit the number of records returned.10
$orderbyStringNoSort returned records.TransactionDate desc

Available fields

Use $select to return specific fields and $filter to filter supported fields.

FieldData typeDescription
PartIDStringPart identifier.
ChargedToStringEntity charged for the transaction.
ChargedToIDStringIdentifier of the entity charged for the transaction.
FromAccountStringSource account for the transaction.
FromCostCenterStringSource cost center for the transaction.
MFRIDStringManufacturer identifier.
ModelStringPart model.
PartClassStringPart classification.
PartDescriptionStringPart description.
PartNotesStringNotes stored on the part record.
PartTypeStringPart type.
QuantityDecimal(9,3)Transaction quantity.
StockLocationStringStock location associated with the transaction.
ToAccountStringDestination account for the transaction.
ToCostCenterStringDestination cost center for the transaction.
TotalCostDecimal(18,3)Total transaction cost.
TransactionDateDateTimeOffsetDate and time of the transaction.
TransactionNotesStringNotes for the transaction.
TransactionTypeStringType of part transaction.
UOMStringUnit of measure.
VendorDescriptionStringVendor description.
VendorIDStringVendor identifier.
VendorPartIDStringVendor's part identifier.
WarehouseIDStringWarehouse associated with the transaction.
CreatedByStringUser who created the transaction record.
DateCreatedDateTimeOffsetDate and time the transaction record was created.

Filter by transaction type

Use the TransactionType field with $filter.

Transaction typeFilter value
AdjustTransactionType eq 'adjust'
Check OutTransactionType eq 'check out'
Cycle CountTransactionType eq 'cycle count'
MoveTransactionType eq 'move'
Purchase ReceiveTransactionType eq 'purchase receive'
Purchase ReturnTransactionType eq 'purchase return'
Quick ReceiveTransactionType eq 'quick receive'
ReturnTransactionType eq 'return'

Examples

Return check-out transactions

https://{sitename}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'check out'

Return selected fields

https://{sitename}.mvpplant.com/ODataApi/v1/GetPartTransactions?$select=PartID,TransactionType,Quantity,TransactionDate

Return the first 10 adjust transactions

https://{sitename}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'&$top=10

Sort transactions by transaction date

https://{sitename}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'&$orderby=TransactionDate desc

Notes

  • Use single quotes around string filter values.
  • OData filter values are case-sensitive.
  • Encode spaces if your client does not encode URLs automatically. For example, check out may be sent as check%20out.
  • Use $select to reduce the response to only the fields your application needs.
Query Params
string
required

Filter inventory part transactions. Use TransactionType to filter by transaction type.

string

Select specific fields to return.

integer

Limit the number of records returned.

string

Sort returned records.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json